Bug 110704 - Cdrecord -scanbus will not ID IDE writer after upgrade from RH8 to Fedora Core1
Cdrecord -scanbus will not ID IDE writer after upgrade from RH8 to Fedora Core1
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-23 15:06 EST by B Keith Dalrymple
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 05:40:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description B Keith Dalrymple 2003-11-23 15:06:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1

Description of problem:
Bad:  Unable to identify ATAPI internal IDE CD-RW system by
utilization of cdrecord -scanbus...the following error arises:
root@tejasdmtlx cdrtools-2.0]# cdrecord -scanbus
Cdrecord-Clone 2.01a19 (i686-redhat-linux-gnu) Copyright (C) 1995-2003
Jrg Schilling
cdrecord: No such file or directory. Cannot open '/dev/pg*'. Cannot
open SCSI driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.

During Trouble shooting I tried to obtain the Bus,target, LUN and got
the following on most tries:
[root@tejasdmtlx etc]# cdrecord dev=ATAPI:1,5,0 driveropts=help
-checkdrive
Cdrecord-Clone 2.01a19 (i686-redhat-linux-gnu) Copyright (C) 1995-2003
Jrg Schilling
scsidev: 'ATAPI:1,5,0'
devname: 'ATAPI'
scsibus: 1 target: 5 lun: 0
Warning: Using ATA Packet interface.
Warning: The related libscg interface code is in pre alpha.
Warning: There may be fatal problems.
Using libscg version 'schily-0.7'
cdrecord: Cannot do inquiry for CD/DVD-Recorder.
cdrecord: Input/output error. test unit ready: scsi sendcmd: fatal error
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

This was based on the default reference to a yamaha device at 1,5,0;
however, any LUN configuration derived the same information

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cdrecord -scanbus
2.cdrecord dev=ATAPI:1,5,0 driveropts=help
3.
    

Actual Results:  1.  root@tejasdmtlx cdrtools-2.0]# cdrecord -scanbus
Cdrecord-Clone 2.01a19 (i686-redhat-linux-gnu) Copyright (C) 1995-2003
Jrg Schilling
cdrecord: No such file or directory. Cannot open '/dev/pg*'. Cannot
open SCSI driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.

2.  [root@tejasdmtlx etc]# cdrecord dev=ATAPI:1,5,0 driveropts=help
-checkdrive
Cdrecord-Clone 2.01a19 (i686-redhat-linux-gnu) Copyright (C) 1995-2003
Jrg Schilling
scsidev: 'ATAPI:1,5,0'
devname: 'ATAPI'
scsibus: 1 target: 5 lun: 0
Warning: Using ATA Packet interface.
Warning: The related libscg interface code is in pre alpha.
Warning: There may be fatal problems.
Using libscg version 'schily-0.7'
cdrecord: Cannot do inquiry for CD/DVD-Recorder.
cdrecord: Input/output error. test unit ready: scsi sendcmd: fatal error
CDB:  00 00 00 00 00 00
cmd finished after 0.000s timeout 40s

Expected Results:  Should give me something like this:

scsi emulation of hdd (my cdrw device) is enabled

cdrecord --scanbus gives me
scsibus0:
0,0,0 0) 'SIIG' 'CompactFlash Car' '0113' Removable Disk
0,1,0 1) *
0,2,0 2) *
0,3,0 3) *
0,4,0 4) *
0,5,0 5) *
0,6,0 6) *
0,7,0 7) *
scsibus1:
1,0,0 100) 'LITE-ON ' 'LTR-12101B ' 'LS31' Removable CD-ROM
1,1,0 101) *
1,2,0 102) *
1,3,0 103) *
1,4,0 104) *
1,5,0 105) *
1,6,0 106) *
1,7,0 107) *

Additional info:

Research at cdrrecord site states kernel is incorrectly configured. 
Not sure what needs to be reconfigured.  Should I just recompile the
cdrecord and cdrtools?
Comment 1 B Keith Dalrymple 2003-11-25 14:29:20 EST
Was able to finally resolve this by researching Google.com.  This may 
have been known to most expeirenced Linux (RedHat) user; however, the 
man pages did not discuss it at all.  Instead of running cdrecord -
scanbus to locate CDRW, one should use cdrecord -scanbus ATAPI and 
then it finds and all appears to work well.  Some information should 
be added to the man pages to reduce end users stress.

Note You need to log in before you can comment on or make changes to this bug.